Bug 1720795 - New guest tools are available mark in case of guest tool located on Data Domain
Summary: New guest tools are available mark in case of guest tool located on Data Domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: Liran Rotenberg
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-15 07:35 UTC by Jaroslav Spanko
Modified: 2020-08-04 13:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the Manager searched for guest tools only on ISO domains, not data domains. The current release fixes this issue: Now, if the Manager detects a new tool on data domains or ISO domains, it displays a mark for the Windows VM.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:19:31 UTC
oVirt Team: Virt
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4224271 0 None None Windows VM has the New guest tools mark even if the latest RHV guest tool is instaled 2019-07-02 11:54:55 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:46 UTC
oVirt gerrit 102657 0 master MERGED core: Consider guest tools located in data domain for mark 2021-02-03 07:30:14 UTC

Description Jaroslav Spanko 2019-06-15 07:35:16 UTC
Description of problem:

Windows VM is showing the New guest tools mark even in case that the latest RHV tool is installed and the iso is located on Data Domain.

Version-Release number of selected component (if applicable):
ovirt-engine-tools-4.3.3.7-0.1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Windows with older version of agent installed
2. Update RHV guest tool to the latest version
3. The New guest tools mark even after VM reboot

Actual results:
New guest tools mark

Expected results:
Not sure, i read https://bugzilla.redhat.com/show_bug.cgi?id=1612945 but i am still confused if RHV guest tool can be located on Data Domain or not. But customers are using it in this way ....

Additional info:
I tried to inject code with byteman to see if maybeUpdateOvirtGuestAgentStatus will be involved but comparison it works only in case of ISO domain

RULE trace changed Values
CLASS org.ovirt.engine.core.bll.VmHandler
METHOD maybeUpdateOvirtGuestAgentStatus
IF TRUE
AT LINE 1001
DO
traceln("The tools version " + $toolsVersion);
traceStack();
ENDRULE

So question ... is this expected behavior and RHV guest agent should be still on ISO domain ? 
Thanks !

Comment 1 Ryan Barry 2019-06-16 00:36:26 UTC
Windows version?

Comment 2 Jaroslav Spanko 2019-06-16 11:34:40 UTC
So far i tested Win7, Win10 and Win10 and it's reproducible on all of them, ovirt_guest_agent_status stays 2 
If i connect ISO domain with the same latest version of ISO, the ovirt_guest_agent_status moves to 1.

Comment 3 Jaroslav Spanko 2019-06-16 11:35:22 UTC
Sry Win7, Win10 and Win2016

Comment 4 Michal Skrivanek 2019-06-17 11:32:58 UTC
it needs to be fixed and make work on any data domain. Also the autoattach (in RunVm command) should be fixed. It also looks just at the ISO domain currently.

Comment 5 Robert Scheck 2019-06-28 10:13:21 UTC
Why target milestone oVirt 4.4.0? This is IMHO a regression introduced by the deprecation of the ISO domain in oVirt 4.3.0...

Comment 6 Daniel Gur 2019-08-28 13:11:57 UTC
sync2jira

Comment 7 Daniel Gur 2019-08-28 13:16:10 UTC
sync2jira

Comment 8 Michal Skrivanek 2019-09-26 11:21:16 UTC
does this also fix bug 173053?8

Comment 9 Michal Skrivanek 2019-09-26 11:21:32 UTC
bug 1730538

Comment 10 Liran Rotenberg 2019-09-26 11:36:28 UTC
No, this bug is related to check if a newer version is found.
While there is a comparison in both bugs this was the first patch of the two.
It will be needed to rebase on top of bug 1730538 to get the right naming comparison.
So it is right to say that bug 1730538 will fix the broken comparison and let auto-attach the WGT.
This bug will fix the status monitoring to include data domains.

Comment 11 Michal Skrivanek 2019-09-26 11:48:00 UTC
(In reply to Liran Rotenberg from comment #10)
> So it is right to say that bug 1730538 will fix the broken comparison and
> let auto-attach the WGT.

lack of autoattachment is only relevant in oVirt, in RHV the problem is quite the opposite, always attached because of the wrong comparison. But no problem with ISO naming

Comment 12 RHV bug bot 2019-12-13 13:16:04 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2019-12-20 17:45:35 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2020-01-08 14:49:32 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 RHV bug bot 2020-01-08 15:17:28 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 RHV bug bot 2020-01-24 19:51:22 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 Petr Matyáš 2020-01-27 14:18:20 UTC
Verified on ovirt-engine-4.4.0-0.17.master.el7.noarch

Comment 26 errata-xmlrpc 2020-08-04 13:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.